{
    "path": "$OET_PATH/testcases/function_test/pkg_test/ffmpegthumbnailer/ffmpegthumbnailer",
    "machine num": 1,
    "cases": [
        {
            "name": "test_ffmpegthumbnailer_ffmpegthumbnailer_i",
            "desc": "测试输入文件参数"
        },
        {
            "name": "test_ffmpegthumbnailer_ffmpegthumbnailer_o",
            "desc": "测试输出文件参数"
        },
        {
            "name": "test_ffmpegthumbnailer_ffmpegthumbnailer_s_num_0",
            "desc": "测试缩略图大小为原始大小"
        },
        {
            "name": "test_ffmpegthumbnailer_ffmpegthumbnailer_s_num_128",
            "desc": "测试默认缩略图大小"
        },
        {
            "name": "test_ffmpegthumbnailer_ffmpegthumbnailer_t_num_10",
            "desc": "测试默认时间百分比"
        },
        {
            "name": "test_ffmpegthumbnailer_ffmpegthumbnailer_t_special_hh_mm_ss",
            "desc": "测试绝对时间格式"
        },
        {
            "name": "test_ffmpegthumbnailer_ffmpegthumbnailer_q_num_8",
            "desc": "测试默认图像质量"
        },
        {
            "name": "test_ffmpegthumbnailer_ffmpegthumbnailer_c_jpeg",
            "desc": "测试覆盖图像格式为jpeg"
        },
        {
            "name": "test_ffmpegthumbnailer_ffmpegthumbnailer_c_png",
            "desc": "测试覆盖图像格式为png"
        },
        {
            "name": "test_ffmpegthumbnailer_ffmpegthumbnailer_c_rgb",
            "desc": "测试覆盖图像格式为rgb"
        },
        {
            "name": "test_ffmpegthumbnailer_ffmpegthumbnailer_a",
            "desc": "测试忽略宽高比生成方形缩略图"
        },
        {
            "name": "test_ffmpegthumbnailer_ffmpegthumbnailer_f",
            "desc": "测试创建电影条覆盖层"
        },
        {
            "name": "test_ffmpegthumbnailer_function_video_duration",
            "desc": "测试视频时长参数"
        }
    ]
}